net.sf.jasperreports.crosstabs.fill.calculation

## Enum BucketValueOrderDecorator.OrderPosition

- java.lang.Object
- - java.lang.Enum<BucketValueOrderDecorator.OrderPosition>
  - - net.sf.jasperreports.crosstabs.fill.calculation.BucketValueOrderDecorator.OrderPosition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BucketValueOrderDecorator.OrderPosition>
  Enclosing interface:
    BucketValueOrderDecorator<T>

      public static enum BucketValueOrderDecorator.OrderPosition
      extends java.lang.Enum<BucketValueOrderDecorator.OrderPosition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST`
    `LAST`
    `NORMAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `comparePosition(BucketValueOrderDecorator.OrderPosition other)`
    `static BucketValueOrderDecorator.OrderPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BucketValueOrderDecorator.OrderPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final BucketValueOrderDecorator.OrderPosition NORMAL

    - #### FIRST

          public static final BucketValueOrderDecorator.OrderPosition FIRST

    - #### LAST

          public static final BucketValueOrderDecorator.OrderPosition LAST

  - ### Method Detail

    - #### values

          public static BucketValueOrderDecorator.OrderPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BucketValueOrderDecorator.OrderPosition c : BucketValueOrderDecorator.OrderPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BucketValueOrderDecorator.OrderPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### comparePosition

          public int comparePosition(BucketValueOrderDecorator.OrderPosition other)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com